modemworld.me
Poodle vulnerability: Lab issue viewer browser notice
On Wednesday October 15th, and as a result of the Padding Oracle On Downgraded Legacy Encryption (Poodle) vulnerability reported by Google, the Lab issued a Grid Status update, warning those who us…